$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.9.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.9.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '8255CA550C2F8D4699FA8051363551D1E125AB1FAC9B6DEA20AE76FEC7F95B6B'
  checksumType = 'sha256'
  checksum64 = '8255CA550C2F8D4699FA8051363551D1E125AB1FAC9B6DEA20AE76FEC7F95B6B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.9-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
